LFS_CLEANERD(8)

NAME
lfs_cleanerd - garbage collect a log-structured file system

SYNOPSIS
lfs_cleanerd [-ds] node

DESCRIPTION
The lfs_cleanerd command starts a daemon process which garbage-collects the log-structured file system residing at the point named by node in the global file system namespace. This command is normally executed by mount_lfs(8) when the log-structured file system is mounted. The daemon will exit within a few minutes of when the file system it was cleaning is unmounted.

Garbage collection on a log-structured file system is done by scanning the file system's segments for active, i.e. referenced, data and copying it to new segments. When all of the active data in a given segment has been copied to a new segment that segment can be marked as empty, thus reclaiming the space taken by the inactive data which was in it.

The following options are available:

-d  Run in debug mode. Do not become a daemon process, and print debugging information.

-s  When cleaning the file system, read data in small chunks.

SEE ALSO
mount_lfs(8)

HISTORY
The lfs_cleanerd utility first appeared in 4.4BSD.